package com.huangzj.protoplugin;

import java.util.Collections;
import java.util.List;

public final class ProtoParseResult {

    private final String javaPackageOption;
    private final List<RpcMethodInfo> rpcMethods;

    public ProtoParseResult(String javaPackageOption, List<RpcMethodInfo> rpcMethods) {
        this.javaPackageOption = javaPackageOption;
        this.rpcMethods = rpcMethods;
    }

    public String getJavaPackageOption() {
        return javaPackageOption;
    }

    public List<RpcMethodInfo> getRpcMethods() {
        return Collections.unmodifiableList(rpcMethods);
    }
}
